$(function(){
	$(".dropdown .dropdown_btn").click(function(){
		$(this).toggleClass('on');
		$('.main_fixed_wrap .collapse').toggleClass('up');
		$('.chart-info.list').toggleClass('up');
		$('.main_fixed_wrap .collapse2').toggleClass('up');
		$('.chart-info2.list').toggleClass('up');
		$('.duty-schedule').toggleClass('up');
	});
	$(".close").click(function(){
		$(".side-left").removeClass("active");
	});

	/*오른쪽 네비 기능*/
	$('.right_menu_btn').click(function(){
		$('.side-right').addClass('active');
		$('body').addClass('menu_on');
	});
	$('.side-right-overlay').click(function(){
		$('.side-right').removeClass('active');
		$('body').removeClass('menu_on');
	});
	$('.nav-right.list-group .menu').click(function(){
		$(this).toggleClass('on');
	});

	/*왼쪽 네비 기능*/
	$('.left_menu_btn').click(function(){
		$('.side-left').addClass('active');
		$('body').addClass('menu_on');
	});
	$('#mainMenu .btn .close').click(function(){
		$('.side-left').removeClass('active');
		$('body').removeClass('menu_on');
	});

/*페이지닫기*/
	$('.page_close_btn').click(function(){
		$(this).parents('.sub_page').removeClass('on', function(){});
		$('.sub_page').height($('#container').height());
	});

	/*서브페이지 높이 메인과 똑같게 고정 */
	$('.sub_page').height($('#container').height());

});

/*페이지옮기기*/
function pageMove(item){
	$('.sub_page#' + item).addClass('on');
	$('.sub_page#' + item).css('height', 'auto');
}

/*$..setDefaults({
	dateFormat : 'yy-mm-dd',
	prevText : '이전 달',
	nextText : '다음 달',
	monthNames : [ '1월', '2월', '3월', '4월', '5월', '6월', '7월', '8월', '9월', '10월',
			'11월', '12월' ],
	monthNamesShort : [ '1월', '2월', '3월', '4월', '5월', '6월', '7월', '8월', '9월',
			'10월', '11월', '12월' ],
	dayNames : [ '일', '월', '화', '수', '목', '금', '토' ],
	dayNamesShort : [ '일', '월', '화', '수', '목', '금', '토' ],
	dayNamesMin : [ '일', '월', '화', '수', '목', '금', '토' ],
	showMonthAfterYear : true,
	yearSuffix : '년'
});

$(function() {
	$("#").();
	$("#Start").();
	$("#End").();

});
*/

/*var App = {
			init: function() {
					 this.side.nav()
			},
			side: {
						nav: function() {
									this.toggle(), this.navigation()
						},
						toggle: function() {
									$(".ion-ios-navright").on("touchstart click", function(e) {
												e.preventDefault(), $(".side-right").toggleClass("active"), $(".nav").removeClass("active"), $(".side-right .side-right-overlay").removeClass("fadeOut animated").addClass("fadeIn animated")
									}), $(".side-right .side-right-overlay").on("touchstart click", function(e) {
												e.preventDefault(), $(".ion-ios-navright").click(), $(this).removeClass("fadeIn").addClass("fadeOut")
									})
						},
						navigation: function() {
									$(".nav-left a").on("touchstart click", function(e) {
												e.preventDefault();
												var t = $(this).attr("href").replace("#", "");
												$(".side-right").toggleClass("active"), $(".html").removeClass("visible"), "home" == t || "" == t || null == t ? $(".html.welcome").addClass("visible") : $(".html." + t).addClass("visible")
									})
						}
			}

};


var App2 = {
			user: function() {
					 this.side.nav()
			},
			side: {
						nav: function() {
									this.toggle(), this.navigation()
						},
						toggle: function() {
									$(".ion-ios-navleft").on("touchstart click", function(e) {
												e.preventDefault(), $(".side-left").toggleClass("active"), $(".nav").removeClass("active"), $(".side-left .side-left-overlay").removeClass("fadeOut animated").addClass("fadeIn animated")
									}), $(".side-left .side-left-overlay").on("touchstart click", function(e) {
												e.preventDefault(), $(".ion-ios-navleft").click(), $(this).removeClass("fadeIn").addClass("fadeOut")
									})
						},
						navigation: function() {
									$(".nav-left a").on("touchstart click", function(e) {
												e.preventDefault();
												var t = $(this).attr("href").replace("#", "");
												$(".side-left").toggleClass("active"), $(".html").removeClass("visible"), "home" == t || "" == t || null == t ? $(".html.welcome").addClass("visible") : $(".html." + t).addClass("visible")
									})
						}
			}

};
*/

$(function(){
	//상단가기 버튼
	$('.go-top-btn').click(function(){
		var body = $("html, .container-fluid");
    body.stop().animate({scrollTop:0}, 500, 'swing', function(){});
	});
	//진료이력 조회기간 슬라이드
	$('.inquiry-slide-btn').click(function(){
		$('.inquiry-slide-wrap').slideToggle();
	});
});
$(function(){
	$(".left_menu_btn, .right_menu_btn").click(function(){
		$(".chart-info.list").addClass("pix");
	});
	$(".close, .side-right-overlay").click(function(){
		$(".chart-info.list").removeClass("pix");
	});
});

/*login*/
$(function(){
	$('.login_wrap .inner').css("min-height", $(window).height() + "px" );
});
$(window).resize(function(){
	$('.login_wrap .inner').css("min-height", $(window).height() + "px" );
});

/*prescription*/
$(function(){
	$('.chart-info.prescription .chart-content a').click(function(e){
		e.preventDefault();
		$(this).next().slideToggle();
	});
});
